Skip to main content
GET
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
containers
Python
from salad_cloud_sdk import SaladCloudSdk

sdk = SaladCloudSdk(
    api_key="YOUR_API_KEY",
    api_key_header="YOUR_API_KEY_HEADER",
    timeout=10000
)

result = sdk.container_groups.list_container_groups(
    organization_name="acme-corp",
    project_name="dev-env"
)

print(result)
{
  "items": [
    {
      "autostart_policy": true,
      "container": {
        "command": [
          "<string>"
        ],
        "image": "<string>",
        "resources": {
          "cpu": 512,
          "memory": 536871424,
          "gpu_classes": [
            "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          ],
          "storage_amount": 562950490292224,
          "shm_size": 64
        },
        "environment_variables": {},
        "hash": "<string>",
        "image_caching": true,
        "logging": {},
        "size": 4611686018427388000
      },
      "country_codes": [
        "af"
      ],
      "create_time": "2023-11-07T05:31:56Z",
      "current_state": {
        "finish_time": "2023-11-07T05:31:56Z",
        "instance_status_counts": {
          "allocating_count": 1073741823,
          "creating_count": 1073741823,
          "running_count": 1073741823,
          "stopping_count": 1073741823
        },
        "start_time": "2023-11-07T05:31:56Z",
        "status": "pending",
        "description": "<string>"
      },
      "display_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "organization_name": "<string>",
      "pending_change": true,
      "priority": "high",
      "project_name": "<string>",
      "replicas": 250,
      "restart_policy": "always",
      "update_time": "2023-11-07T05:31:56Z",
      "version": 1073741824,
      "liveness_probe": {
        "failure_threshold": 3,
        "initial_delay_seconds": 0,
        "period_seconds": 10,
        "success_threshold": 1,
        "timeout_seconds": 30
      },
      "readiness_probe": {
        "failure_threshold": 3,
        "initial_delay_seconds": 0,
        "period_seconds": 1,
        "success_threshold": 1,
        "timeout_seconds": 1
      },
      "readme": "<string>",
      "startup_probe": {
        "failure_threshold": 15,
        "initial_delay_seconds": 0,
        "period_seconds": 3,
        "success_threshold": 2,
        "timeout_seconds": 10
      }
    }
  ]
}
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

Response

OK

A paginated collection of container groups that provides a structured way to access multiple container group resources in a single response.

items
Container Group · object[]
required

An array containing container group objects. Each object represents a discrete container group with its own properties, configuration, and status.

Maximum array length: 100